[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: help making packages

On Tue, Nov 07, 2000 at 10:34:16PM +1100, Drew Parsons wrote:
> You might like to compare with how other sdl-based games have been
> packaged, for instance defendguin (available in woody).
argh, no no, please not that. The one in incoming, but not the one installed
currently. I am trying to fix a great mess with SDL1.0 and 1.1 dependencies.

> The sdl libraries you mentioned are available in woody:
> libsdl-mixer-dev
> libsdl-image1.1
If you want/have to use SDL1.1 for your package, please use the 1.1 support
libs, please try the ones at http://people.debian.org/~cts/sdl
Do not use the ones in the archive, since your package will probably break,
when I finally upload the new ones. All maintainers using 1.1 debs in the
their packages are informed.

If you use SDL1.0, you should be fine with what is in the archives, the only
problem is, that it conflicts with the 1.1 packages at the moment. Will be
solved soon, ie with the test packages...

> You can search for them with "apt-cache search sdl" if /etc/apt/sources.list
> points to woody.
The test packages should be aptable as well, but I have not worked out the
syntax yet...

PS why does this apt line fail to work?

deb-src http://people.debian.org/%7ects sdl/

Failed to fetch http://people.debian.org/~cts/sdl/Sources

I can grab it with wget from that address???


Reply to: